## GeditView

GeditView —

## Synopsis

                GeditViewPrivate;
                GeditView;
    GtkWidget*  gedit_view_new                  (GeditDocument *doc);
    void        gedit_view_cut_clipboard        (GeditView *view);
    void        gedit_view_copy_clipboard       (GeditView *view);
    void        gedit_view_paste_clipboard      (GeditView *view);
    void        gedit_view_delete_selection     (GeditView *view);
    void        gedit_view_select_all           (GeditView *view);
    void        gedit_view_scroll_to_cursor     (GeditView *view);
    void        gedit_view_set_colors           (GeditView *view,
                                                 gboolean def,
                                                 GdkColor *backgroud,
                                                 GdkColor *text,
                                                 GdkColor *selection,
                                                 GdkColor *sel_text);
    void        gedit_view_set_font             (GeditView *view,
                                                 gboolean def,
                                                 const gchar *font_name);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkTextView
                                     +----GtkSourceView
                                           +----GeditView

## Implemented Interfaces

GeditView implements AtkImplementorIface.

## Signals

    "reset-searched-text"
                gboolean    user_function      (GeditView *geditview,
                                                gpointer   user_data)      : Run last / Action
    "start-interactive-goto-line"
                gboolean    user_function      (GeditView *geditview,
                                                gpointer   user_data)      : Run last / Action
    "start-interactive-search"
                gboolean    user_function      (GeditView *geditview,
                                                gpointer   user_data)      : Run last / Action

## Description

## Details

### GeditViewPrivate

    typedef struct _GeditViewPrivate GeditViewPrivate;

### GeditView

    typedef struct _GeditView GeditView;

### gedit_view_new ()

    GtkWidget*  gedit_view_new                  (GeditDocument *doc);

Creates a new GeditView object displaying the `doc` document. `doc` cannot be NULL.

`doc` : | a GeditDocument
Returns : | a new GeditView

### gedit_view_cut_clipboard ()

    void        gedit_view_cut_clipboard        (GeditView *view);

`view` : |

### gedit_view_copy_clipboard ()

    void        gedit_view_copy_clipboard       (GeditView *view);

`view` : |

### gedit_view_paste_clipboard ()

    void        gedit_view_paste_clipboard      (GeditView *view);

`view` : |

### gedit_view_delete_selection ()

    void        gedit_view_delete_selection     (GeditView *view);

`view` : |

### gedit_view_select_all ()

    void        gedit_view_select_all           (GeditView *view);

`view` : |

### gedit_view_scroll_to_cursor ()

    void        gedit_view_scroll_to_cursor     (GeditView *view);

`view` : |

### gedit_view_set_colors ()

    void        gedit_view_set_colors           (GeditView *view,
                                                 gboolean def,
                                                 GdkColor *backgroud,
                                                 GdkColor *text,
                                                 GdkColor *selection,
                                                 GdkColor *sel_text);

`view` : |
`def` : |
`backgroud` : |
`text` : |
`selection` : |
`sel_text` : |

### gedit_view_set_font ()

    void        gedit_view_set_font             (GeditView *view,
                                                 gboolean def,
                                                 const gchar *font_name);

`view` : |
`def` : |
`font_name` : |

## Signal Details

### The "reset-searched-text" signal

    gboolean    user_function                  (GeditView *geditview,
                                                gpointer   user_data)      : Run last / Action

`geditview` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.
Returns : |

### The "start-interactive-goto-line" signal

    gboolean    user_function                  (GeditView *geditview,
                                                gpointer   user_data)      : Run last / Action

`geditview` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.
Returns : |

### The "start-interactive-search" signal

    gboolean    user_function                  (GeditView *geditview,
                                                gpointer   user_data)      : Run last / Action

`geditview` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.
Returns : |